REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single FloorPlanDesk record by its Id.
{ "FloorPlanId": 123, "FloorPlanName": "<string>", "FloorPlanBusinessId": 123, "FloorPlanBusinessCurrencyCode": "<string>", "FloorPlanBusinessName": "<string>", "FloorPlanCapacity": 123, "CoworkerId": 123, "CoworkerFullName": "<string>", "CoworkerCompanyName": "<string>", "CoworkerCoworkerType": "<string>", "CoworkerEmail": "<string>", "CoworkerTeamNames": "<string>", "SensorId": 123, "SensorName": "<string>", "SensorUnit": "<string>", "SensorSensorType": "<string>", "SensorLastReceivedValue": "<string>", "SensorLastValueTriggeredAction": true, "Name": "<string>", "ItemType": 123, "ResourceId": 123, "ResourceName": "<string>", "ResourceResourceTypeName": "<string>", "ResourceAllocation": 123, "ResourceProjector": true, "ResourceInternet": true, "ResourceConferencePhone": true, "ResourceStandardPhone": true, "ResourceWhiteBoard": true, "ResourceLargeDisplay": true, "ResourceCatering": true, "ResourceTeaAndCoffee": true, "ResourceDrinks": true, "ResourceSecurityLock": true, "ResourceCCTV": true, "ResourceVoiceRecorder": true, "ResourceAirConditioning": true, "ResourceHeating": true, "ResourceNaturalLight": true, "ResourceStandingDesk": true, "ResourceQuietZone": true, "ResourceWirelessCharger": true, "ResourcePrivacyScreen": true, "ResourceSoundproof": true, "ResourceShifts": "<string>", "Size": 123, "SizeIsLinkedToArea": true, "Capacity": 123, "Price": 123, "Area": "<string>", "SensorLastValue": "<string>", "IsSensorOccupied": true, "Notes": "<string>", "Available": true, "PositionX": 123, "PositionY": 123, "PositionZ": 123, "AccessControlGroupId": "<string>", "TunnelPrivateGroupId": "<string>", "CoworkerContractIds": "<string>", "CoworkerContractFullNames": "<string>", "CoworkerContractStartDates": "<string>", "AvailableFromTime": "<string>", "AvailableToTime": "<string>", "AvailableFromTimeLocal": "<string>", "AvailableToTimeLocal": "<string>", "ArchilogicUniqueId": "<string>", "FloorPlanLayoutAssetUniqueId": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
FloorPlanDesk-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/floorplandesks/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "FloorPlanId": 0, "FloorPlanName": null, "FloorPlanBusinessId": null, "FloorPlanBusinessCurrencyCode": null, "FloorPlanBusinessName": null, "FloorPlanCapacity": null, "CoworkerId": null, "CoworkerFullName": null, "CoworkerCompanyName": null, "CoworkerCoworkerType": null, "CoworkerEmail": null, "CoworkerTeamNames": null, "SensorId": null, "SensorName": null, "SensorUnit": null, "SensorSensorType": null, "SensorLastReceivedValue": null, "SensorLastValueTriggeredAction": null, "Name": "", "ItemType": 0, "ResourceId": null, "ResourceName": null, "ResourceResourceTypeName": null, "ResourceAllocation": null, "ResourceProjector": null, "ResourceInternet": null, "ResourceConferencePhone": null, "ResourceStandardPhone": null, "ResourceWhiteBoard": null, "ResourceLargeDisplay": null, "ResourceCatering": null, "ResourceTeaAndCoffee": null, "ResourceDrinks": null, "ResourceSecurityLock": null, "ResourceCCTV": null, "ResourceVoiceRecorder": null, "ResourceAirConditioning": null, "ResourceHeating": null, "ResourceNaturalLight": null, "ResourceStandingDesk": null, "ResourceQuietZone": null, "ResourceWirelessCharger": null, "ResourcePrivacyScreen": null, "ResourceSoundproof": null, "ResourceShifts": null, "Size": 0, "SizeIsLinkedToArea": false, "Capacity": 0, "Price": 0, "Area": null, "SensorLastValue": null, "IsSensorOccupied": false, "Notes": null, "Available": false, "PositionX": 0, "PositionY": 0, "PositionZ": 0, "AccessControlGroupId": null, "TunnelPrivateGroupId": null, "CoworkerContractIds": null, "CoworkerContractFullNames": null, "CoworkerContractStartDates": null, "AvailableFromTime": null, "AvailableToTime": null, "AvailableFromTimeLocal": null, "AvailableToTimeLocal": null, "ArchilogicUniqueId": null, "FloorPlanLayoutAssetUniqueId": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "FloorPlanDesk Example", "LocalizationDetails": null, "CustomFields": null }